package server

import (
	"cfTest/cloudflareApi/logPush"
	"github.com/cloudflare/cloudflare-go"
)

func Go2ProtoLogPushJob(goJob cloudflare.LogpushJob) *logPush.LogPushJobEntity {
	return &logPush.LogPushJobEntity{
		Id:              int64(goJob.ID),
		DataSet:         goJob.Dataset,
		DestinationConf: goJob.DestinationConf,
		Enabled:         goJob.Enabled,
		ErrorMessage:    goJob.ErrorMessage,
		Name:            goJob.Name,
	}
}
